Skip to main content
GET
/
orgs
/
{orgId}
/
agents
/
{agentId}
/
quarantine
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/orgs/{orgId}/agents/{agentId}/quarantine \
  --header 'Authorization: Bearer <token>'
{
  "agentId": "<string>",
  "orgId": "<string>",
  "quarantinedAt": "<string>",
  "reason": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

agentId
string
required

Agent identifier

Response

200 - application/json

OK

Current quarantine state of an agent

agentId
string
required

Agent identifier

orgId
string
required

Organization identifier

level
enum<string>
required

Current quarantine level of an agent

Available options:
NONE,
SOFT,
HARD
quarantinedAt
string | null
required

ISO 8601 quarantine timestamp

reason
string | null
required

Reason for quarantine